#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 mod
version:              0.1.2.2
visibility:           public
id:                   mod-0.1.2.2-CrgOa88C3o6EIWX0qUD3kC
key:                  mod-0.1.2.2-CrgOa88C3o6EIWX0qUD3kC
license:              MIT
copyright:            2017-2020 Andrew Lelechenko
maintainer:           Andrew Lelechenko <andrew.lelechenko@gmail.com>
author:               Andrew Lelechenko <andrew.lelechenko@gmail.com>
homepage:             https://github.com/Bodigrim/mod
synopsis:             Fast type-safe modular arithmetic
description:
    <https://en.wikipedia.org/wiki/Modular_arithmetic Modular arithmetic>,
    promoting moduli to the type level, with an emphasis on performance.
    Originally part of <https://hackage.haskell.org/package/arithmoi arithmoi> package.

category:             Math, Number Theory
abi:                  bcbed9701c4d436a48f14fa584b52275
exposed:              True
exposed-modules:      Data.Mod Data.Mod.Word
import-dirs:          /usr/lib/ghc-9.0.2/site-local/mod-0.1.2.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/mod-0.1.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-mod
hs-libraries:         HSmod-0.1.2.2-CrgOa88C3o6EIWX0qUD3kC
depends:
    base-4.15.1.0 deepseq-1.4.5.0 integer-gmp-1.1
    primitive-0.7.4.0-A5hJyO7gfJjKCazGezxOm3
    semirings-0.6-KoXh2SMdpIOCi2etSrCRaD
    vector-0.13.0.0-FO1psvzIWe996069p2V3EL

haddock-interfaces:   /usr/share/doc/haskell-mod/html/mod.haddock
haddock-html:         /usr/share/doc/haskell-mod/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

